#include <stdio.h>
#include <stdlib.h>

/* fortran routine */
void arraymath(float *x, float *y, const int nx, float *sumy);

int main(int argc, char **argv) {
    float *x, *y;
    float sumy;
    const int nx=20;

    x = (float *)malloc(nx*sizeof(float));
    y = (float *)malloc(nx*sizeof(float));

    for (int i=0; i<nx; i++) x[i]=i;

    arraymath(x, y, nx, &sumy);

    printf("Sum of y from fortran = %f\n", sumy);
    printf("Expected answer = %d\n", nx*(nx+2));

    for (int i=0; i<nx; i++) 
        printf("%8.3f\t%8.3f\n", x[i], y[i]);

    free(x); free(y);
    return 0;
}


