subroutine arraymath(x, y, nx, ysum) BIND(C)
    USE, intrinsic :: iso_c_binding
    implicit none
    type(c_ptr), value :: x
    type(c_ptr), value :: y
    integer(kind=c_int), value, intent(in) :: nx
    real(kind=c_float), intent(out) :: ysum

    real(kind=c_float), dimension(:), pointer :: fx, fy

    ! associate the c pointers to fortran pointers
    ! to arrays of dimension nx
    call c_f_pointer(x, fx, [nx])
    call c_f_pointer(y, fy, [nx])

    fy = 2.*fx + 3.
    ysum = sum(fy)

    print *,'ysum = ', ysum
END subroutine arraymath


