PROGRAM usesqrtc
    USE, intrinsic :: iso_c_binding
    implicit none

    !! C prototype: double sqrt(double x)
    INTERFACE
        FUNCTION sqrtc(x) BIND(C,name="sqrt")
            USE, intrinsic :: iso_c_binding
            real(kind=c_double) :: sqrtc
            real(kind=c_double), value :: x
        END FUNCTION sqrtc
    END INTERFACE 

    double precision :: x, y, z
    
    x = 2.d0
    y = sqrtc(x)
    z = sqrt(x)

    print *,'x = ', x
    print *,'C       sqrt(x) = ', y
    print *,'Fortran sqrt(x) = ', z

END program



