module procedures

contains

function square(x) result(xsquared)
      implicit none
      real :: xsquared
      real, intent(IN) :: x

      xsquared = x*x
end function square

function cube(x)
      implicit none
      real :: cube
      real, intent(IN) :: x

      cube = x*x*x
end function cube

subroutine squareAndCube(x, squarex, cubex)
      implicit none
      real, intent(in) :: x
      real, intent(out) :: squarex
      real, intent(out) :: cubex

      squarex = square(x)
      cubex   = cube(x)
end subroutine squareAndCube

end module procedures


