program pure
    implicit none
    real :: a, x, y, ynew

    a = -1.
    x = 10.
    y = 100.

    call axpy(a, x, y)
    call printaxpy(a, x ,y)

contains
    pure subroutine axpy(a, x, y)
        ! y = y + a*x
        implicit none
        real, intent(IN) :: a, x
        real, intent(INOUT) :: y

        y = y + a*x 
    end subroutine axpy

    subroutine printaxpy(a, x, y)
        ! y = y + a*x
        implicit none
        real, intent(IN) :: a, x
        real, intent(INOUT) :: y

        print *, a, '*', x, ' + ', y, &
                 ' = ', a*x+y
        y = a*x + y
    end subroutine printaxpy
end program pure


